Rank Tracking
Ranking alerts
List ranking alerts for a project. Alerts are generated automatically by the daily rank-check task when significant position changes occur (entered/lost top 3/10/100, improved/dropped by 5+ spots).
GET
/
v1
/
projects
/
{project_id}
/
tracking
/
alerts
Ranking alerts
curl --request GET \
--url https://api.example.com/v1/projects/{project_id}/tracking/alerts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/projects/{project_id}/tracking/alerts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/projects/{project_id}/tracking/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tracked_keyword_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"alert_type": "<string>",
"change": 123,
"is_read": true,
"created_at": "2023-11-07T05:31:56Z",
"keyword": "<string>",
"old_position": 123,
"new_position": 123,
"url_found": "<string>",
"search_volume": 123
}
],
"meta": {
"page": 2,
"per_page": 250,
"total": 1
},
"success": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Query Parameters
Return only unread alerts
Comma-separated alert types to filter by
Page number
Required range:
x >= 1Items per page
Required range:
1 <= x <= 100⌘I
Ranking alerts
